Bug 381431 - Gnome Settings broken by latest fedora 8 updates
Gnome Settings broken by latest fedora 8 updates
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-13 21:47 EST by Aditya Kadambi
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-14 20:06:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
rpm output for gnome_vfs2 (48 bytes, text/plain)
2007-11-14 10:53 EST, Aditya Kadambi
no flags Details
rpm verbose output for gnome_vfs2 (5.69 KB, text/plain)
2007-11-14 10:54 EST, Aditya Kadambi
no flags Details
/var/log/messages file (942.54 KB, text/plain)
2007-11-14 10:57 EST, Aditya Kadambi
no flags Details

  None (edit)
Description Aditya Kadambi 2007-11-13 21:47:00 EST
Description of problem:
gnome-settings daemon won't start. Broken by latest fedora 8 updates.

Version-Release number of selected component (if applicable):

Fedora 8, gnome2

How reproducible:

Everytime. After logging in, gnome-settings daemon does not start. Hence cannot
launch any application from the menu. Also, icons are missing from the
desktop.Launching any application from menu (say Application->System
Tools->Terminal), results in the following message:

Could not start menu item

Error reading file
'file:///usr/share/applications/gnome-terminal.desktop':Unsupported operation.

Steps to Reproduce:
1. Login with latest updates from Fedora
Actual results:

Expected results:

Additional info:
Comment 1 Aditya Kadambi 2007-11-13 22:56:17 EST
After rebooting several times and deleting all GNOME configuration files, I get
two error pop up messages (alas, can't take screenshots since everything is
broken and can't be started from menu)

Contents of first pop up message:

"There was an error starting the GNOME Settings Daemon.

Some things, such as themes, sounds, or background settings may not work correctly.

The Settings Daemon restarted too many times.

GNOME will still try to restart the Settings Daemon next time you log in."

Contents of second popup message:


If you reload a panel object, it will automatically be added back to the panel.

F8 system is not usuable in X mode
Comment 2 Ray Strode [halfline] 2007-11-14 02:19:33 EST
If you log in as your normal user from a text console, does 

cat /usr/share/applications/gnome-terminal.desktop


What's the output of 

rpm -q  gnome-vfs2 && rpm -V gnome-vfs2


can you attach /var/log/messages ?

Did this work before and break after getting updates?
Comment 3 Aditya Kadambi 2007-11-14 10:53:58 EST
Created attachment 258201 [details]
rpm output for gnome_vfs2
Comment 4 Aditya Kadambi 2007-11-14 10:54:58 EST
Created attachment 258211 [details]
rpm verbose output for gnome_vfs2
Comment 5 Aditya Kadambi 2007-11-14 10:57:44 EST
Created attachment 258241 [details]
/var/log/messages file
Comment 6 Aditya Kadambi 2007-11-14 11:00:13 EST
"If you log in as your normal user from a text console, does 

cat /usr/share/applications/gnome-terminal.desktop


Yes, it does work. I can cat all other application files too.

Yes, everything worked before updates. Now, gnome-desktop doesn't.
Comment 7 Ray Strode [halfline] 2007-11-14 11:15:47 EST
The md5sum of some of files in the gnome-vfs2 package doesn't match what rpm is

can you force reinstall the x86-64 gnome-vfs2 package and see if that addresses
your issue?
Comment 8 Aditya Kadambi 2007-11-14 20:06:17 EST
I tried removing the package and ended up with a whole bunch of ext3 errors due
to SELinux.

I just went ahead and did a fresh re-install and took the aforementioned
updates. Everything in Gnome works now.

Looks like the initial install didn't go well WRT to GNOME, even though it was a
fresh install.

Thanks for all your help. I am marking this as resolved.

Note You need to log in before you can comment on or make changes to this bug.